Name:           mined
Version:        2012.21
Release:        1%{?dist}
Summary:        Powerful Text Editor with Extensive Unicode and CJK Support
Group:          Applications/Editors
License:        GPLv3
URL:            http://towo.net/mined/
Source0:        http://towo.net/mined/download/mined-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  ncurses-devel
#Requires:       

%description
Mined is the first text editor that provided Unicode support in a plain-text
terminal. It now has both extensive Unicode and CJK support offering
many specific features and covering special cases that other editors
are not aware of (like auto-detection features and automatic handling of
terminal variations or Han character information). Basically, it is an
editor tailored to efficient editing of plain text documents and
programs with features and interactive behavior designed for this
purpose.


%package -n xmined
Summary:        Graphical interface using Xterm of Mined text editor
Group:          Applications/Editors
Requires:       xterm
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n xmined
Mined is the first text editor that provided Unicode support in a plain-text
terminal. It now has both extensive Unicode and CJK support offering
many specific features and covering special cases that other editors
are not aware of (like auto-detection features and automatic handling of
terminal variations or Han character information). Basically, it is an
editor tailored to efficient editing of plain text documents and
programs with features and interactive behavior designed for this
purpose.


%prep
%setup -q
# Delete file for Windows :
rm -f ./usrshare/bin/wined.bat
# For rpmlint warning "dangling-relative-symlink" in mined package :
# Symlinks are: CHANGES -> usrshare/package_doc/CHANGES -> usrshare/doc_user/changes.html
rm -f ./CHANGES
cp -p ./usrshare/doc_user/changes.html ./CHANGES
# Convert to UTF8 mined.1.gz and CHANGES :
for f in CHANGES man/%{name}.1; do
  iconv -f iso-8859-1 -t utf8 $f >$f.tmp && \
  touch -r $f $f.tmp && \
  mv $f.tmp $f
done
# Fix desktop-file-validate warning: remove .xpm suffix from icon filename :
sed -i "s/mined.xpm/mined/" ./usrshare/setup_install/mined.desktop


%build
%configure
# Optflag isn't applied by default :
make OPT='%{optflags}' %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# Install mined.desktop and fix desktop-file-validate warning :
desktop-file-install --remove-key Encoding                      \
                     --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/%{name}/setup_install/%{name}.desktop
# Remove files for Windows but needed for build
# and useless directory (package_doc, doc_user) :
rm -fr %{buildroot}%{_datadir}/%{name}/{bin,setup_install,conf_user,package_doc,doc_user}


%files
%doc ./usrshare/package_doc/README ./usrshare/doc_user README.creole.* DESCR CHANGES LICENCE.GPL VERSION
%{_bindir}/%{name}
%{_bindir}/minmacs
%{_bindir}/mpico
%{_bindir}/mstar
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/minmacs.1.*
%{_mandir}/man1/mpico.1.*
%{_mandir}/man1/mstar.1.*
%{_datadir}/%{name}/

%files -n xmined
%{_bindir}/umined
%{_bindir}/uterm
%{_bindir}/xmined
%{_mandir}/man1/umined.1.*
%{_mandir}/man1/uterm.1.*
%{_mandir}/man1/xmined.1.*
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Mar 14 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 2012.21-1
- update to 2012.21 version

* Sun Jan 29 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 2012.20-1
- update to 2012.20 version

* Sun Jan 15 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 2011.19.2-1
- update to 2011.19.2 version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011.19-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 23 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 2011.19-3.1
- add "ncurses-devel" in BuildRequires to fix koji build in el6 branch

* Tue Nov 22 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 2011.19-3
- remove the dependency on xterm arch specific

* Mon Nov 21 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 2011.19-2
- add "usrshare/package_doc/README" doc file
- convert to UTF8 the manpage and doc file CHANGES
- add "optflags" in make
- fix help function (F1) doesn't work because file mined.hlp was missing
- move HTML documentation in doc directory
- add xmined subpackage
- remove .xpm suffix from the icon filename in mined.desktop by sed

* Wed Nov 16 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 2011.19-1
- upgrade to 2011.19 version

* Mon Aug 22 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 2011.17-1
- remove files for Windows

* Tue Aug 9 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 2011.17-1
- initial RPM
